Cannot Mount AppImage, Please Check Your FUSE setup

I am trying to run the AppImage. I am getting error: "Cannot mount AppImage, please check your FUSE setup.

You might still be able to extract the contents of this AppImage if you run it with the --appimage-extract option"

i dont know what means. how do i get appimage to run? it runs outside of qubes on other linux platform

Is FUSE not installed by default?